|  | Home · All Classes · Modules

# Qt.GestureFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, GestureFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- GestureFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, GestureFlags f)
- GestureFlags __iand__ (self, int mask)
- int __int__ (self)
- GestureFlags __invert__ (self)
- GestureFlags __ior__ (self, GestureFlags f)
- GestureFlags __ixor__ (self, GestureFlags f)
- bool __ne__ (self, GestureFlags f)
- GestureFlags __or__ (self, GestureFlags f)
- GestureFlags __or__ (self, int f)
- GestureFlags __xor__ (self, GestureFlags f)
- GestureFlags __xor__ (self, int f)

## Detailed Description

## Method Documentation

### GestureFlags.__init__ (self, GestureFlags)

### GestureFlags.__init__ (self, int)

### GestureFlags.__init__ (self)

### GestureFlags GestureFlags.__and__ (self, int mask)

### int GestureFlags.__bool__ (self)

### bool GestureFlags.__eq__ (self, GestureFlags f)

### GestureFlags GestureFlags.__iand__ (self, int mask)

### int GestureFlags.__int__ (self)

### GestureFlags GestureFlags.__invert__ (self)

### GestureFlags GestureFlags.__ior__ (self, GestureFlags f)

### GestureFlags GestureFlags.__ixor__ (self, GestureFlags f)

### bool GestureFlags.__ne__ (self, GestureFlags f)

### GestureFlags GestureFlags.__or__ (self, GestureFlags f)

### GestureFlags GestureFlags.__or__ (self, int f)

### GestureFlags GestureFlags.__xor__ (self, GestureFlags f)

### GestureFlags GestureFlags.__xor__ (self, int f)